#
# spec file for package pmidi
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pmidi
Version:        1.7.1
Release:        1.15
Summary:        A Command Line MIDI Player for ALSA
License:        GPL-2.0-only
Group:          Productivity/Multimedia/Sound/Midi
URL:            http://www.parabola.demon.co.uk/alsa/pmidi.html
Source:         https://sourceforge.net/projects/pmidi/files/pmidi/%{version}/pmidi-%{version}.tar.gz
BuildRequires:  alsa-devel
BuildRequires:  automake

%description
pmidi is a command line MIDI player for ALSA.

%prep
%setup -q

%build
autoreconf -fi
%configure --with-included-glib
%make_build

%install
%make_install

%files
%{_bindir}/*
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_mandir}/man*/*

%changelog
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.7.1:
  * Fixes a bug reported to debian from the mayhem project.
  * Some minor compilation warnings and man page fix.
* Mon Sep 23 2013 stephan.barth@suse.com
- update to version 1.7.0. This is mainly a bugfix release.
- the following two patches are not needed anymore, since they have been
  included by upstream and have been removed:
  - pmidi-mts-fix.diff
  - pmidi-link-fix.diff
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue Dec 13 2011 tiwai@suse.de
- fix license to GPL-2.0 only (bnc#735050)
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Mar 27 2007 tiwai@suse.de
- build with included glib support, don't use gtk1-compat
- fix the handle of MTS (MIDI Tuning Standard)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 sbrabec@suse.cz
- Force glib2 using gtk1-compat-devel.
* Mon Jan 12 2004 adrian@suse.de
- build as user
* Fri Jan  9 2004 tiwai@suse.de
- updated to version 1.6.0.
* Mon Dec 10 2001 tiwai@suse.de
- updated to ver.1.5.4.
  built on the standard configure procedure now.
- added glib and glib-devel to neededforbuild.
* Mon Dec  3 2001 tiwai@suse.de
- updated to ver.1.5.1 with ALSA 0.9.0 support.
* Thu Nov  2 2000 tiwai@suse.de
- Fixed spec file for long package-name support.
* Tue Sep 26 2000 tiwai@suse.de
- Changed to bzip2
* Tue Jul 11 2000 tiwai@suse.de
- 1st version: 0.4.1
